package org.processmining.performancespectrum.plugins;

import org.processmining.scala.viewers.spectrum.view.FramePanel;

public final class PerformanceSpectrumCsvDirectory {
	public final String dir;

	public PerformanceSpectrumCsvDirectory(final String dir) {
		if (!dir.toLowerCase().endsWith(FramePanel.CSV_DIR)) {
			throw new IllegalArgumentException(String.format("Wrong file name %s. Please open file '*.%s'.", dir,
					FramePanel.CSV_DIR));
		} else {
			this.dir = dir;
		}

	}

}
